Bug 440707 - Anaconda exit when no linux partitions to remove
Anaconda exit when no linux partitions to remove
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Target
  Show dependency treegraph
 
Reported: 2008-04-04 11:23 EDT by mattias hellstrom
Modified: 2008-04-15 09:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-15 09:33:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mattias hellstrom 2008-04-04 11:23:48 EDT
Description of problem:
If I by mistake select "remove linux partitions and create default layout" in 
the disk config in installer it gives a No free space press exit to reboot-
dialogue. Fedora 8 gave possibility to go back and fix the problem (remove all 
partitions and create default layout)

Version-Release number of selected component (if applicable):
Fedora 9 Beta

How reproducible:
Every time

Steps to Reproduce:
1.on a computer currently running windows
2.boot a fedora 9 beta install dvd
3.press next on all screens to get default plausibly good entries
  
Actual results:
dead end dialogue after disk config

Expected results:
warning about no free partitions to install fedora to, please remove some.

Additional info:
I think f7 and f8 had god behaviour in this case
Comment 1 Chris Lumens 2008-04-09 12:35:37 EDT
Hm, my testing here shows the following UI flow:

Choose the default of "Remove linux partitions and create default layout" ->
Dialog appears with "Could not allocate partitions:  Partitioning failed: ...
Not enough space left to create partition for /boot" ->
Dialog appears with "The following errors occurred with your partitioning:  You
have not defained a root partition. ... Press 'OK' to choose a different
partitioning options." ->
Back at partitioning UI

Is this not the same thing you are seeing?  Are you perhaps doing an interactive
kickstart install, which is the only way I see that would cause you to have no
choice but to reboot?  It would help if you could remember the exact error messages.
Comment 2 mattias hellstrom 2008-04-15 05:09:33 EDT
I think you are right, I did some tests with and without kickstart, I must have 
confused the results.

Note You need to log in before you can comment on or make changes to this bug.